summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/bonnie
diff options
context:
space:
mode:
authorAmar Tumballi <amarts@redhat.com>2012-02-18 10:41:37 -0800
committerGerrit Code Review <root@dev.gluster.com>2012-02-18 10:41:37 -0800
commit58c7ab800444f2b80039d71509c5dc81a3598ead (patch)
tree4e23efa722b22b286842f4b45da1a8d5011f4a4c /sanity/system_light/scripts/bonnie
parent6ed4ac470d7aaddd05ce179bc304ef688f5553aa (diff)
parent9d36eca70a458c736e44fd8eb9184415ec45f1e6 (diff)
Merge "system_light: changes to have modularity in running tests"
Diffstat (limited to 'sanity/system_light/scripts/bonnie')
-rwxr-xr-xsanity/system_light/scripts/bonnie/bonnie.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/bonnie/bonnie.sh b/sanity/system_light/scripts/bonnie/bonnie.sh
new file mode 100755
index 0000000..70bc2bd
--- /dev/null
+++ b/sanity/system_light/scripts/bonnie/bonnie.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+function main()
+{
+ echo "start:`date +%T`" >>$LOG_FILE
+ time bonnie++ -u $USER_NAME -d $WD 2>&1 1>>$LOG_FILE 1>>/tmp/bonnie #creates files of double the ram size and tests the performance
+
+
+ if [ $? -ne 0 ]; then
+ echo "end:`date +%T`" >>$LOG_FILE
+ return 11;
+ else
+ echo "end:`date +%T`" >>$LOG_FILE
+ return 0;
+ fi
+}
+
+main "$@"